> For the complete documentation index, see [llms.txt](https://docs.wproofreader.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wproofreader.com/v6.11.1/api-reference/custom-dictionary-api/actions.md).

# Actions

Pick an action:

<table data-view="cards"><thead><tr><th>Action</th><th data-card-target data-type="content-ref">Docs</th></tr></thead><tbody><tr><td>Create a dictionary</td><td><a href="/pages/Vog9x7eVoy8j8qZHjzlf">/pages/Vog9x7eVoy8j8qZHjzlf</a></td></tr><tr><td>Delete dictionaries</td><td><a href="/pages/pMtci7OmbVfZ5iaQ0Ukz">/pages/pMtci7OmbVfZ5iaQ0Ukz</a></td></tr><tr><td>Add or replace words</td><td><a href="/pages/ZRC1mqcYzTfR090xN0RF">/pages/ZRC1mqcYzTfR090xN0RF</a></td></tr><tr><td>Remove words</td><td><a href="/pages/fGtaCriw1GbwHq6xUWIS">/pages/fGtaCriw1GbwHq6xUWIS</a></td></tr><tr><td>Fetch a dictionary wordlist</td><td><a href="/pages/WJAEFBJ4SDMVeF5BK6u3">/pages/WJAEFBJ4SDMVeF5BK6u3</a></td></tr><tr><td>List dictionaries (metadata)</td><td><a href="/pages/XXY8O7bJw5wgqAKqyLbV">/pages/XXY8O7bJw5wgqAKqyLbV</a></td></tr><tr><td>Rename or enable/disable</td><td><a href="/pages/LLDxLJSvc5cAMJUwZ99O">/pages/LLDxLJSvc5cAMJUwZ99O</a></td></tr></tbody></table>

{% hint style="info" %}
An **access key** is **required** for this command. See [Access key](/v6.11.1/deployment/configuration/application-server/access-key.md).
{% endhint %}

### Common notes

* Requests use `cmd=custom_dictionary` and an `action`.
* Some actions accept multiple IDs (`delete`, `getdicts`).
* Word operations can return `status=warning` for partial success.

Useful references:

* [Parameters reference](/v6.11.1/api-reference/custom-dictionary-api/parameters-reference.md)
* [Response format](/v6.11.1/api-reference/custom-dictionary-api/response-format.md)
* [Errors reference](/v6.11.1/api-reference/custom-dictionary-api/errors-reference.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wproofreader.com/v6.11.1/api-reference/custom-dictionary-api/actions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
